MCP Tools Reference: firestore.googleapis.com

Tool: list_backups

List Firestore backups.

The following code sample shows how to use curl to call the list_backups MCP tool.

Curl Request
curl --location 'https://firestore.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_backups",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

The request for FirestoreAdmin.ListBackups.

ListBackupsRequest

JSON representation
{
  "parent": string,
  "filter": string
}
Fields
parent

string

Required. The location to list backups from.

Format is projects/{project}/locations/{location}. Use {location} = '-' to list backups from all locations for the given project. This allows listing backups from a single location or from all locations.

filter

string

An expression that filters the list of returned backups.

A filter expression consists of a field name, a comparison operator, and a value for filtering. The value must be a string, a number, or a boolean. The comparison operator must be one of: <, >, <=, >=, !=, =, or :. Colon : is the contains operator. Filter rules are not case sensitive.

The following fields in the Backup are eligible for filtering:

  • database_uid (supports = only)

Output Schema

The response for FirestoreAdmin.ListBackups.

ListBackupsResponse

JSON representation
{
  "backups": [
    {
      object (Backup)
    }
  ],
  "unreachable": [
    string
  ]
}
Fields
backups[]

object (Backup)

List of all backups for the project.

unreachable[]

string

List of locations that existing backups were not able to be fetched from.

Instead of failing the entire requests when a single location is unreachable, this response returns a partial result set and list of locations unable to be reached here. The request can be retried against a single location to get a concrete error.

Backup

JSON representation
{
  "name": string,
  "database": string,
  "databaseUid": string,
  "snapshotTime": string,
  "expireTime": string,
  "state": enum (State)
}
Fields
name

string

Output only. The unique resource name of the Backup.

Format is projects/{project}/locations/{location}/backups/{backup}.

The location in the name will be the Standard Managed Multi-Region (SMMR) location (e.g. us) if the backup was created with an SMMR location, or the Google Managed Multi-Region (GMMR) location (e.g. nam5) if the backup was created with a GMMR location.

database

string

Output only. Name of the Firestore database that the backup is from.

Format is projects/{project}/databases/{database}.

databaseUid

string

Output only. The system-generated UUID4 for the Firestore database that the backup is from.

snapshotTime

string (Timestamp format)

Output only. The backup contains an externally consistent copy of the database at this time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

expireTime

string (Timestamp format)

Output only. The timestamp at which this backup expires.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

state

enum (State)

Output only. The current state of the backup.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

State

Indicate the current state of the backup.

Enums
STATE_UNSPECIFIED The state is unspecified.
CREATING The pending backup is still being created. Operations on the backup will be rejected in this state.
READY The backup is complete and ready to use.
NOT_AVAILABLE The backup is not available at this moment.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌